#ifndef __LCD6100_H
#define __LCD6100_H

#define EPSON_CONTROLLER      1

#define MAX_PIXEL   (X_END*Y_END)

#define X_END       132
#define Y_END       132
#define X_START     0
#define Y_START     2

#define DISON       0xaf   
#define DISOFF      0xae   
#define DISNOR      0xa6  
#define DISINV      0xa7  
#define COMSCN      0xbb   
#define DISCTL      0xca   
#define SLPIN       0x95   
#define SLPOUT      0x94   
#define PASET       0x75   
#define CASET       0x15   
#define DATCTL      0xbc   
#define RGBSET8     0xce   
#define RAMWR       0x5c   
#define RAMRD       0x5d   
#define PTLIN       0xa8   
#define PTLOUT      0xa9   
#define RMWIN       0xe0   
#define RMWOUT      0xee   
#define ASCSET      0xaa   
#define SCSTART     0xab   
#define OSCON       0xd1   
#define OSCOFF      0xd2   
#define PWRCTR      0x20   
#define VOLCTR      0x81   
#define VOLUP       0xd6   
#define VOLDOWN     0xd7   
#define TMPGRD      0x82   
#define EPCTIN      0xcd   
#define EPCOUT      0xcc   
#define EPMWR       0xfc   
#define EPMRD       0xfd   
#define EPSRRD1     0x7c   
#define EPSRRD2     0x7d   
#define NOP         0x25

#define lcdClrCS()        PORTB &= ~_BV(PB7); PORTB |= _BV(PB5)
#define lcdSetCS()        PORTB |=  _BV(PB7)

void lcdInit(void);
void lcdWriteByte(unsigned char byte, unsigned char data);
void lcdSetAddress(unsigned char xs, 
                   unsigned char ys, 
                   unsigned char xe, 
                   unsigned char ye);
void lcdPutPixel(unsigned char color, 
                 unsigned char x,
                 unsigned char y);
void lcdPutArrayFlash(unsigned char *data, 
                      unsigned char x, 
                      unsigned char y,
                      unsigned char width,
                      unsigned char height);
void lcdClearScreen(unsigned char color);
void lcdSetContrast(unsigned char data);

#endif
